Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class Edge

    java.lang.Object
      org.mindswap.pellet.Edge

    public class Edge

extends java.lang.Object

Author:
  Evren Sirin

Constructor Summary
`Edge(Role name, Individual from, Node to)`
`Edge(Role name, Individual from, Node to, DependencySet d)`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`DependencySet` | `getDepends()`
`Individual` | `getFrom()`
`Node` | `getNeighbor(Node node)`
`Role` | `getRole()`
`Node` | `getTo()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Edge

    public Edge(Role name,
                Individual from,
                Node to)

### Edge

    public Edge(Role name,
                Individual from,
                Node to,
                DependencySet d)

Method Detail

### getNeighbor

    public Node getNeighbor(Node node)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getDepends

    public DependencySet getDepends()

  Returns:
    Returns the depends.

### getFrom

    public Individual getFrom()

  Returns:
    Returns the from.

### getRole

    public Role getRole()

  Returns:
    Returns the role.

### getTo

    public Node getTo()

  Returns:
    Returns the to.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.